Using the µVision Socket Interface: SERIO Struct Reference

| Using the µVision Socket Interface Application Note 198 Control and monitor µVision via the built-in TCP/IP interface

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
SERIO Struct Reference
Structs

## Data Fields
xWORD16 | nChannel
| 0:=UART#1, 1:=UART#2, 2:=UART#3, 3:=Debug (printf) output More...
xWORD16 | itemMode
| 0:=Bytes, 1:=WORD16 More...
DWORD | nMany
| number of items (BYTE or WORD16) More...
union {
xUC8 aBytes [1]
| nMany Bytes follow here. More...
xWORD16 aWords [1]
| nMany Word16 follow here. More...
} | s
| nMany data items. More...

## Description

Terminal I/O data

Contains uVision terminal window data, and the channel the data is associated with. The channel list is target dependent.

This structure is used in the following messages:

Client ==> uVision (Request)

- UV_DBG_SERIAL_PUT (Set nChannel to the channel to write data to, set itemMode to the data width, set nMany to the number of data items and set s to the data to be written)
- UV_DBG_SERIAL_GET (Set nChannel to the channel to read data from) - DEPRECATED use DBG_SERIAL_OUTPUT response

Client <== uVision (Response)

- UV_DBG_SERIAL_GET : deprecated, use DBG_SERIAL_OUTPUT response (uVision sets itemMode to the data width, nMany to the number of data items available, and s to the data. The number of items available may be 0)
- UV_DBG_SERIAL_OUTPUT (uVision sets nChannel to the channel supplying data [0...3], itemMode to the data width, nMany to the number of data sent (may vary from 1 to 4096), s to the data)

## Field Documentation

xUC8 SERIO::aBytes[1]

nMany Bytes follow here.

xWORD16 SERIO::aWords[1]

nMany Word16 follow here.

xWORD16 SERIO::itemMode

0:=Bytes, 1:=WORD16

xWORD16 SERIO::nChannel

0:=UART#1, 1:=UART#2, 2:=UART#3, 3:=Debug (printf) output

DWORD SERIO::nMany

number of items (BYTE or WORD16)

union { ... } SERIO::s

nMany data items.